## qtorganizer-mkcal 0.1.0~git20241001.1676e8b

=== debian/changelog ===
qtorganizer-mkcal (0.1.0~git20241001.1676e8b-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D: pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2025 04:27:19 +0100

qtorganizer-mkcal (0.1.0~git20241001.1676e8b-1) unstable; urgency=medium

  [ Lionel Duboeuf ]
  * Initial Debian upload. (Closes: #1090084).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Dec 2024 14:20:51 +0100

## qtorganizer-mkcal 0.1.0~git20250211.88829da

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(qtorganizer-mkcal
	VERSION 0.1
	DESCRIPTION "Mkcal plugin for QtOrganizer")

set(CMAKE_AUTOMOC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 11)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(GNUInstallDirs)

set(QT_MIN_VERSION "5.6.0")
find_package(Qt5 ${QT_MIN_VERSION} COMPONENTS Organizer Test REQUIRED)
find_package(KF5 COMPONENTS CalendarCore REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(MKCAL libmkcal-qt5 IMPORTED_TARGET REQUIRED)

add_subdirectory(src)
add_subdirectory(tests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(SRC
  mkcalplugin.cpp
  mkcalworker.cpp
  itemcalendars.cpp
  helper.cpp)
set(HEADERS
  mkcalplugin.h
  mkcalworker.h
  itemcalendars.h
  helper.h)

add_library(qtorganizer_mkcal SHARED ${SRC} ${HEADERS})

target_link_libraries(qtorganizer_mkcal
        Qt5::Organizer
	KF5::CalendarCore
	PkgConfig::MKCAL)

install(TARGETS qtorganizer_mkcal
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/qt5/plugins/organizer)

=== tests/CMakeLists.txt ===
add_executable(tst_engine tst_engine.cpp)

target_link_libraries(tst_engine
	Qt5::Test
	Qt5::Organizer
        PkgConfig::MKCAL
        KF5::CalendarCore)

add_test(tst_engine tst_engine)

install(TARGETS tst_engine DESTINATION /opt/tests/qtorganizer-mkcal)

=== debian/changelog ===
qtorganizer-mkcal (0.1.0~git20250211.88829da-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * Update to new upstream Git snapshot 0.1.0~git20250211.88829da.

  [ Lionel Duboeuf ]
  * debian/patches:
    + Add 2000_lomiri_disabled_alarms_tag.patch. Add Lomiri disabled Alarm flag
      management.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Feb 2025 10:06:41 +0100

=== debian/control ===
Source: qtorganizer-mkcal
Section: utils
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake (>= 3.16),
               extra-cmake-modules,
               debhelper-compat (= 13),
               pkgconf,
               qtbase5-dev,
               qtpim5-dev (>= 5.0~git20171109~0bd985b),
               libkf5calendarcore-dev,
               libmkcal-qt5-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/dcaliste/qtorganizer-mkcal/
Vcs-Git: https://salsa.debian.org/ubports-team/qtorganizer-mkcal.git
Vcs-Browser: https://salsa.debian.org/ubports-team/qtorganizer-mkcal/

Package: qtorganizer5-mkcal
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: QtOrganizer engine for mkCal calendar
 Qt Organizer provides clients with the ability to access calendar,
 schedule, and personal data in a platform-independent and
 datastore-agnostic manner. This is achieved by defining generic personal
 information data abstractions which can sufficiently describe calendar
 and scheduling data stored in the native calendaring system of a
 platform. Through the plugin architecture, Qt Organizer can be used as a
 front-end API for any calendaring system, such as an online calendar.
 .
 This package provides a QOrganizerEngine implementation using mkCal as
 storage backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export QT_SELECT := qt5

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## qtorganizer-mkcal 0.1.0~git20250424.45906b1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
+include(CTest)
 include(FeatureSummary)
 include(GNUInstallDirs)
 
@@ -23,6 +24,8 @@
 pkg_check_modules(MKCAL libmkcal-qt5 IMPORTED_TARGET REQUIRED)
 
 add_subdirectory(src)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+	add_subdirectory(tests)
+endif()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,3 @@
         KF5::CalendarCore)
 
 add_test(tst_engine tst_engine)
-
-install(TARGETS tst_engine DESTINATION /opt/tests/qtorganizer-mkcal)

=== debian/changelog ===
qtorganizer-mkcal (0.1.0~git20250424.45906b1-2) unstable; urgency=medium

  * debian/rules:
    + Independent from build/host architecture, always use build/ sub-directory
      for out-of-source-tree builds. This fixes mismatch between
      DEB_BUILD+HOST_MULTIARCH vs DEB_BUILD+HOST_GNU_TYPE on i386.
  * debian/patches:
    + Add 2002_skip-flaky-testSimpleRangeRead.patch. Skip flaky unit test.
      (Closes: #1104706).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 May 2025 13:54:57 +0200

qtorganizer-mkcal (0.1.0~git20250424.45906b1-1) unstable; urgency=medium

  [ Lionel Duboeuf ]
  * Update to new upstream Git snapshot 0.1.0~git20250424.45906b1.

  [ Mike Gabriel ]
  * debian/patches:
    + Rebase 2000_lomiri_disabled_alarms_tag.patch.
    + Add 2001_support-running-tests-at-build-time.patch. Support running unit
      tests directly after build.
  * debian/control:
    + Add to B-D: xvfb, xauth (for running unit tests).
  * debian/rules:
    + Prepare testbed and run unit tests at build time.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 16:16:42 +0200

qtorganizer-mkcal (0.1.0~git20250219.312412d-1) unstable; urgency=medium

  * Update to new upstream Git snapshot 0.1.0~git20250219.312412d.
  * debian/patches:
    + Rebase 2000_lomiri_disabled_alarms_tag.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Feb 2025 15:05:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
                qtbase5-dev,
                qtpim5-dev (>= 5.0~git20171109~0bd985b),
                libkf5calendarcore-dev,
-               libmkcal-qt5-dev
+               libmkcal-qt5-dev,
+               xvfb,
+               xauth,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/dcaliste/qtorganizer-mkcal/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export QT_SELECT := qt5

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --builddirectory=build

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	dh_auto_install --builddirectory=build --destdir=debian/tmp

override_dh_auto_test:
	mkdir debian/home/
	ln -sf src build/organizer
	export HOME=debian/home && xvfb-run -a dh_auto_test --builddirectory=build --no-parallel

override_dh_auto_clean:
	rm -fv $(builddir)/organizer
	dh_auto_clean --builddirectory=build

override_dh_clean:
	dh_clean
	rm -Rfv debian/home/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.1.0~git%cd.%h" \
https://github.com/dcaliste/qtorganizer-mkcal.git heads/master debian
